Skip to main content
`Ctrl`+`K`

# PetscHMapIQuerySet

Query and set a (key,value) entry in the hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIQuerySet(PetscHMapI ht, PetscInt key, PetscInt val, PetscBool *missing)

## Input Parameters

- ht - The hash table

- key - The key

- val - The value

## Output Parameter

- missing - Boolean indicating whether the key was missing

## See Also

`PetscHMapIQueryDel()`, `PetscHMapISet()`, `PetscHMapISetWithMode()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages